<?php
/* --------------------------------------------------------------
	CleverreachCheckoutConfirmationContentView.inc.php 2016-03-09
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

class CleverreachCheckoutConfirmationContentView extends CleverreachCheckoutConfirmationContentView_parent
{
	public function prepare_data()
	{
		parent::prepare_data();

		$cleverReachInstalled = (bool)gm_get_conf('MODULE_CENTER_CLEVERREACH_INSTALLED') === true;
		if($cleverReachInstalled)
		{
			$crText           = MainFactory::create('CleverReachText');
			$nl_abo_box_label = $crText->get_text('nl_abo_box_label');
			$cleverReachNewsletterButton = '<div data-gambio-widget="radio_selection" data-radio_selection-selection="div.checkbox">';
			$cleverReachNewsletterButton .= '<div class="checkbox alert alert-warning"><label><input type="checkbox" name="abo_newsletter" id="abo_newsletter" value="1">';
			$cleverReachNewsletterButton .= $nl_abo_box_label . '</label></div></div><br>';

			$this->content_array['MODULE_BUTTONS'] .= $cleverReachNewsletterButton;
		}
	}
}
