<?php
/* --------------------------------------------------------------
	CleverReachModuleCenterModule.inc.php 2016-02-10
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

class CleverReachModuleCenterModule extends AbstractModuleCenterModule
{
	protected $cleverReachText;

	protected function _init()
	{
		$this->cleverReachText = MainFactory::create('CleverReachText');
		$this->title           = $this->cleverReachText->get_text('cleverreach_module_title');
		$this->description     = $this->cleverReachText->get_text('cleverreach_module_description');
		$this->sortOrder       = 43371;
	}

	public function install()
	{
		parent::install();
		$tableCreateQuery =
			'CREATE TABLE IF NOT EXISTS
				`cleverreach_api_sync` (
					  `id` int(11) NOT NULL AUTO_INCREMENT,
					  `customers_id` int(11) NOT NULL,
					  `email` varchar(255) NOT NULL,
					  `action` varchar(10) NOT NULL,
					  `status` tinyint(1) NOT NULL,
					  `created_at` datetime NOT NULL,
					  `updated_at` datetime NOT NULL,
					  PRIMARY KEY (`id`),
					  KEY `customers_id` (`customers_id`)
				) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1';
		$this->db->query($tableCreateQuery);
	}
}
