<?php
/* --------------------------------------------------------------
	NewsletterSubscriptionExtenderComponent.inc.php 2016-03-08
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

MainFactory::load_class('ExtenderComponent');

class NewsletterSubscriptionExtenderComponent extends ExtenderComponent
{
	public function unsubscribeNewsletter(CustomerEmail $emailAddress)
	{

	}

	public function subscribeNewsletter(CustomerEmail $emailAddress)
	{

	}

	protected function getCustomerByEmail(CustomerEmail $customerEmail)
	{
		$customerReadService = StaticGXCoreLoader::getService('CustomerRead');
		$customers = $customerReadService->filterCustomers(array('customers_email_address' => (string)$customerEmail));
		$customer = false;
		if(count($customers) === 1)
		{
			$customer = $customers[0];
		}
		else
		{
			throw new NewsletterSubscriptionExtenderComponentCustomerNotFoundException();
		}
		return $customer;
	}
}

class NewsletterSubscriptionExtenderComponentCustomerNotFoundException extends Exception {}
