<?php
/* --------------------------------------------------------------
	CleverReachApplicationTopExtender.inc.php 2016-04-11
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

class CleverReachApplicationTopExtender extends CleverReachApplicationTopExtender_parent
{
	public function proceed()
	{
		parent::proceed();
		$cleverReachInstalled = (bool)gm_get_conf('MODULE_CENTER_CLEVERREACH_INSTALLED') === true;
		if($cleverReachInstalled === true)
		{
			$crConfig = MainFactory::create('CleverReachConfigurationStorage');
			$mailingIdParameterName = $crConfig->get('mailing_id_parameter');
			if(!empty($this->v_data_array['GET'][$mailingIdParameterName]))
			{
				$_SESSION['crMailingId'] = (int)$this->v_data_array['GET'][$mailingIdParameterName];
			}
			else
			{
				$_SESSION['crMailingId'] = isset($_SESSION['crMailingId']) ? $_SESSION['crMailingId'] : -1;
			}
		}
	}
}
