<?php
/* --------------------------------------------------------------
	CleverReachCreateAccountContentView.inc.php 2016-04-08
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

class CleverReachCreateAccountContentView extends CleverReachCreateAccountContentView_parent
{
	public function prepare_data()
	{
		parent::prepare_data();
		if((bool)gm_get_conf('MODULE_CENTER_CLEVERREACH_INSTALLED') === true)
		{
			if(!is_array($this->content_array['additional_sections']))
			{
				$this->content_array['additional_sections'] = array();
			}
			$this->content_array['additional_sections'][] = $this->_getNewsletterBlock();
		}
	}

	protected function _getNewsletterBlock()
	{
		$crText           = MainFactory::create('CleverReachText');
		$nl_abo_box_label = $crText->get_text('nl_abo_box_label');
		$cleverReachNewsletterButton = '<div data-gambio-widget="radio_selection" data-radio_selection-selection="div.checkbox">';
		$cleverReachNewsletterButton .= '<div class="checkbox alert alert-warning"><label><input type="checkbox" name="abo_newsletter" id="abo_newsletter" value="1">';
		$cleverReachNewsletterButton .= $nl_abo_box_label . '</label></div></div><br>';

		return $cleverReachNewsletterButton;
	}
}