<?php
/* --------------------------------------------------------------
	CleverReachCreateAccountProcess.inc.php 2016-04-11
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

class CleverReachCreateAccountProcess extends CleverReachCreateAccountProcess_parent
{
	public function proceedRegistree(KeyValueCollection $customerCollection, GMLogoManager $logoManager)
	{
		parent::proceedRegistree($customerCollection, $logoManager);
		if((bool)gm_get_conf('MODULE_CENTER_CLEVERREACH_INSTALLED') === true)
		{
			if($this->customerCollection->getValue('email_address') == true)
			{
				$newsletterMailSender = MainFactory::create('CleverReachNewsletterMailSender');
				$newsletterMailSender->sendNewsletterEmail($customerCollection->getValue('email_address'));
			}
		}
	}

	/*
	public function proceedGuest(KeyValueCollection $customerCollection)
	{
		parent::proceedGuest($customerCollection);
	}
	*/

}