<?php
/* --------------------------------------------------------------
	CleverreachCheckoutProcessProcess.inc.php 2016-04-08
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2015 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

class CleverreachCheckoutProcessProcess extends CleverreachCheckoutProcessProcess_parent
{
	public function proceed()
	{
		$cleverReachInstalled = (bool)gm_get_conf('MODULE_CENTER_CLEVERREACH_INSTALLED') === true;
		if($cleverReachInstalled)
		{
			$this->_cleverreachProceed();
		}
		return parent::proceed();
	}

	protected function _cleverreachProceed()
	{
		if(isset($this->v_data_array['POST']['abo_newsletter']) && $this->v_data_array['POST']['abo_newsletter'] == '1')
		{
			$order       = new order();
			$order_email = $order->customer['email_address'];
			$newsletterMailSender = MainFactory::create('CleverReachNewsletterMailSender');
			$newsletterMailSender->sendNewsletterEmail($order_email);
		}
	}
}
